clan::StandardColorf Class Reference - ClanLib SDK
Description: clan::StandardColorf Class Reference

Static Public Member Functions | List of all members
clan::StandardColorf Class Reference
clanDisplay 2D

Standard X11/HTML named colors (for float) More...

`#include <color.h>`

## Static Public Member Functions
static Colorf | aliceblue ()
static Colorf | antiquewhite ()
static Colorf | aqua ()
static Colorf | aquamarine ()
static Colorf | azure ()
static Colorf | beige ()
static Colorf | bisque ()
static Colorf | black ()
static Colorf | blanchedalmond ()
static Colorf | blue ()
static Colorf | blueviolet ()
static Colorf | brown ()
static Colorf | burlywood ()
static Colorf | cadetblue ()
static Colorf | chartreuse ()
static Colorf | chocolate ()
static Colorf | coral ()
static Colorf | cornflowerblue ()
static Colorf | cornsilk ()
static Colorf | crimson ()
static Colorf | cyan ()
static Colorf | darkblue ()
static Colorf | darkcyan ()
static Colorf | darkgoldenrod ()
static Colorf | darkgray ()
static Colorf | darkgreen ()
static Colorf | darkgrey ()
static Colorf | darkkhaki ()
static Colorf | darkmagenta ()
static Colorf | darkolivegreen ()
static Colorf | darkorange ()
static Colorf | darkorchid ()
static Colorf | darkred ()
static Colorf | darksalmon ()
static Colorf | darkseagreen ()
static Colorf | darkslateblue ()
static Colorf | darkslategray ()
static Colorf | darkslategrey ()
static Colorf | darkturquoise ()
static Colorf | darkviolet ()
static Colorf | deeppink ()
static Colorf | deepskyblue ()
static Colorf | dimgray ()
static Colorf | dimgrey ()
static Colorf | dodgerblue ()
static Colorf | firebrick ()
static Colorf | floralwhite ()
static Colorf | forestgreen ()
static Colorf | fuchsia ()
static Colorf | gainsboro ()
static Colorf | ghostwhite ()
static Colorf | gold ()
static Colorf | goldenrod ()
static Colorf | gray ()
static Colorf | gray10 ()
static Colorf | gray20 ()
static Colorf | gray30 ()
static Colorf | gray40 ()
static Colorf | gray50 ()
static Colorf | gray60 ()
static Colorf | gray70 ()
static Colorf | gray80 ()
static Colorf | gray90 ()
static Colorf | green ()
static Colorf | greenyellow ()
static Colorf | grey ()
static Colorf | honeydew ()
static Colorf | hotpink ()
static Colorf | indianred ()
static Colorf | indigo ()
static Colorf | ivory ()
static Colorf | khaki ()
static Colorf | lavender ()
static Colorf | lavenderblush ()
static Colorf | lawngreen ()
static Colorf | lemonchiffon ()
static Colorf | lightblue ()
static Colorf | lightcoral ()
static Colorf | lightcyan ()
static Colorf | lightgoldenrodyellow ()
static Colorf | lightgray ()
static Colorf | lightgreen ()
static Colorf | lightgrey ()
static Colorf | lightpink ()
static Colorf | lightsalmon ()
static Colorf | lightseagreen ()
static Colorf | lightskyblue ()
static Colorf | lightslategray ()
static Colorf | lightslategrey ()
static Colorf | lightsteelblue ()
static Colorf | lightyellow ()
static Colorf | lime ()
static Colorf | limegreen ()
static Colorf | linen ()
static Colorf | magenta ()
static Colorf | maroon ()
static Colorf | mediumaquamarine ()
static Colorf | mediumblue ()
static Colorf | mediumorchid ()
static Colorf | mediumpurple ()
static Colorf | mediumseagreen ()
static Colorf | mediumslateblue ()
static Colorf | mediumspringgreen ()
static Colorf | mediumturquoise ()
static Colorf | mediumvioletred ()
static Colorf | midnightblue ()
static Colorf | mintcream ()
static Colorf | mistyrose ()
static Colorf | moccasin ()
static Colorf | navajowhite ()
static Colorf | navy ()
static Colorf | oldlace ()
static Colorf | olive ()
static Colorf | olivedrab ()
static Colorf | orange ()
static Colorf | orangered ()
static Colorf | orchid ()
static Colorf | palegoldenrod ()
static Colorf | palegreen ()
static Colorf | paleturquoise ()
static Colorf | palevioletred ()
static Colorf | papayawhip ()
static bool | parse (const std::string &name, Colorf &out_color)
| Find and returns the static color matching a string.
static Colorf | peachpuff ()
static Colorf | peru ()
static Colorf | pink ()
static Colorf | plum ()
static Colorf | powderblue ()
static Colorf | purple ()
static Colorf | red ()
static Colorf | rosybrown ()
static Colorf | royalblue ()
static Colorf | saddlebrown ()
static Colorf | salmon ()
static Colorf | sandybrown ()
static Colorf | seagreen ()
static Colorf | seashell ()
static Colorf | sienna ()
static Colorf | silver ()
static Colorf | skyblue ()
static Colorf | slateblue ()
static Colorf | slategray ()
static Colorf | slategrey ()
static Colorf | snow ()
static Colorf | springgreen ()
static Colorf | steelblue ()
static Colorf | tan ()
static Colorf | teal ()
static Colorf | thistle ()
static Colorf | tomato ()
static Colorf | transparent ()
static Colorf | turquoise ()
static Colorf | violet ()
static Colorf | wheat ()
static Colorf | white ()
static Colorf | whitesmoke ()
static Colorf | yellow ()
static Colorf | yellowgreen ()

## Detailed Description

Standard X11/HTML named colors (for float)

## Member Function Documentation

## ◆ aliceblue()

static Colorf clan::StandardColorf::aliceblue | ( |  | ) |
| inlinestatic

## ◆ antiquewhite()

static Colorf clan::StandardColorf::antiquewhite | ( |  | ) |
| inlinestatic

## ◆ aqua()

static Colorf clan::StandardColorf::aqua | ( |  | ) |
| inlinestatic

## ◆ aquamarine()

static Colorf clan::StandardColorf::aquamarine | ( |  | ) |
| inlinestatic

## ◆ azure()

static Colorf clan::StandardColorf::azure | ( |  | ) |
| inlinestatic

## ◆ beige()

static Colorf clan::StandardColorf::beige | ( |  | ) |
| inlinestatic

## ◆ bisque()

static Colorf clan::StandardColorf::bisque | ( |  | ) |
| inlinestatic

## ◆ black()

static Colorf clan::StandardColorf::black | ( |  | ) |
| inlinestatic

## ◆ blanchedalmond()

static Colorf clan::StandardColorf::blanchedalmond | ( |  | ) |
| inlinestatic

## ◆ blue()

static Colorf clan::StandardColorf::blue | ( |  | ) |
| inlinestatic

## ◆ blueviolet()

static Colorf clan::StandardColorf::blueviolet | ( |  | ) |
| inlinestatic

## ◆ brown()

static Colorf clan::StandardColorf::brown | ( |  | ) |
| inlinestatic

## ◆ burlywood()

static Colorf clan::StandardColorf::burlywood | ( |  | ) |
| inlinestatic

## ◆ cadetblue()

static Colorf clan::StandardColorf::cadetblue | ( |  | ) |
| inlinestatic

## ◆ chartreuse()

static Colorf clan::StandardColorf::chartreuse | ( |  | ) |
| inlinestatic

## ◆ chocolate()

static Colorf clan::StandardColorf::chocolate | ( |  | ) |
| inlinestatic

## ◆ coral()

static Colorf clan::StandardColorf::coral | ( |  | ) |
| inlinestatic

## ◆ cornflowerblue()

static Colorf clan::StandardColorf::cornflowerblue | ( |  | ) |
| inlinestatic

## ◆ cornsilk()

static Colorf clan::StandardColorf::cornsilk | ( |  | ) |
| inlinestatic

## ◆ crimson()

static Colorf clan::StandardColorf::crimson | ( |  | ) |
| inlinestatic

## ◆ cyan()

static Colorf clan::StandardColorf::cyan | ( |  | ) |
| inlinestatic

## ◆ darkblue()

static Colorf clan::StandardColorf::darkblue | ( |  | ) |
| inlinestatic

## ◆ darkcyan()

static Colorf clan::StandardColorf::darkcyan | ( |  | ) |
| inlinestatic

## ◆ darkgoldenrod()

static Colorf clan::StandardColorf::darkgoldenrod | ( |  | ) |
| inlinestatic

## ◆ darkgray()

static Colorf clan::StandardColorf::darkgray | ( |  | ) |
| inlinestatic

## ◆ darkgreen()

static Colorf clan::StandardColorf::darkgreen | ( |  | ) |
| inlinestatic

## ◆ darkgrey()

static Colorf clan::StandardColorf::darkgrey | ( |  | ) |
| inlinestatic

## ◆ darkkhaki()

static Colorf clan::StandardColorf::darkkhaki | ( |  | ) |
| inlinestatic

## ◆ darkmagenta()

static Colorf clan::StandardColorf::darkmagenta | ( |  | ) |
| inlinestatic

## ◆ darkolivegreen()

static Colorf clan::StandardColorf::darkolivegreen | ( |  | ) |
| inlinestatic

## ◆ darkorange()

static Colorf clan::StandardColorf::darkorange | ( |  | ) |
| inlinestatic

## ◆ darkorchid()

static Colorf clan::StandardColorf::darkorchid | ( |  | ) |
| inlinestatic

## ◆ darkred()

static Colorf clan::StandardColorf::darkred | ( |  | ) |
| inlinestatic

## ◆ darksalmon()

static Colorf clan::StandardColorf::darksalmon | ( |  | ) |
| inlinestatic

## ◆ darkseagreen()

static Colorf clan::StandardColorf::darkseagreen | ( |  | ) |
| inlinestatic

## ◆ darkslateblue()

static Colorf clan::StandardColorf::darkslateblue | ( |  | ) |
| inlinestatic

## ◆ darkslategray()

static Colorf clan::StandardColorf::darkslategray | ( |  | ) |
| inlinestatic

## ◆ darkslategrey()

static Colorf clan::StandardColorf::darkslategrey | ( |  | ) |
| inlinestatic

## ◆ darkturquoise()

static Colorf clan::StandardColorf::darkturquoise | ( |  | ) |
| inlinestatic

## ◆ darkviolet()

static Colorf clan::StandardColorf::darkviolet | ( |  | ) |
| inlinestatic

## ◆ deeppink()

static Colorf clan::StandardColorf::deeppink | ( |  | ) |
| inlinestatic

## ◆ deepskyblue()

static Colorf clan::StandardColorf::deepskyblue | ( |  | ) |
| inlinestatic

## ◆ dimgray()

static Colorf clan::StandardColorf::dimgray | ( |  | ) |
| inlinestatic

## ◆ dimgrey()

static Colorf clan::StandardColorf::dimgrey | ( |  | ) |
| inlinestatic

## ◆ dodgerblue()

static Colorf clan::StandardColorf::dodgerblue | ( |  | ) |
| inlinestatic

## ◆ firebrick()

static Colorf clan::StandardColorf::firebrick | ( |  | ) |
| inlinestatic

## ◆ floralwhite()

static Colorf clan::StandardColorf::floralwhite | ( |  | ) |
| inlinestatic

## ◆ forestgreen()

static Colorf clan::StandardColorf::forestgreen | ( |  | ) |
| inlinestatic

## ◆ fuchsia()

static Colorf clan::StandardColorf::fuchsia | ( |  | ) |
| inlinestatic

## ◆ gainsboro()

static Colorf clan::StandardColorf::gainsboro | ( |  | ) |
| inlinestatic

## ◆ ghostwhite()

static Colorf clan::StandardColorf::ghostwhite | ( |  | ) |
| inlinestatic

## ◆ gold()

static Colorf clan::StandardColorf::gold | ( |  | ) |
| inlinestatic

## ◆ goldenrod()

static Colorf clan::StandardColorf::goldenrod | ( |  | ) |
| inlinestatic

## ◆ gray()

static Colorf clan::StandardColorf::gray | ( |  | ) |
| inlinestatic

## ◆ gray10()

static Colorf clan::StandardColorf::gray10 | ( |  | ) |
| inlinestatic

## ◆ gray20()

static Colorf clan::StandardColorf::gray20 | ( |  | ) |
| inlinestatic

## ◆ gray30()

static Colorf clan::StandardColorf::gray30 | ( |  | ) |
| inlinestatic

## ◆ gray40()

static Colorf clan::StandardColorf::gray40 | ( |  | ) |
| inlinestatic

## ◆ gray50()

static Colorf clan::StandardColorf::gray50 | ( |  | ) |
| inlinestatic

## ◆ gray60()

static Colorf clan::StandardColorf::gray60 | ( |  | ) |
| inlinestatic

## ◆ gray70()

static Colorf clan::StandardColorf::gray70 | ( |  | ) |
| inlinestatic

## ◆ gray80()

static Colorf clan::StandardColorf::gray80 | ( |  | ) |
| inlinestatic

## ◆ gray90()

static Colorf clan::StandardColorf::gray90 | ( |  | ) |
| inlinestatic

## ◆ green()

static Colorf clan::StandardColorf::green | ( |  | ) |
| inlinestatic

## ◆ greenyellow()

static Colorf clan::StandardColorf::greenyellow | ( |  | ) |
| inlinestatic

## ◆ grey()

static Colorf clan::StandardColorf::grey | ( |  | ) |
| inlinestatic

## ◆ honeydew()

static Colorf clan::StandardColorf::honeydew | ( |  | ) |
| inlinestatic

## ◆ hotpink()

static Colorf clan::StandardColorf::hotpink | ( |  | ) |
| inlinestatic

## ◆ indianred()

static Colorf clan::StandardColorf::indianred | ( |  | ) |
| inlinestatic

## ◆ indigo()

static Colorf clan::StandardColorf::indigo | ( |  | ) |
| inlinestatic

## ◆ ivory()

static Colorf clan::StandardColorf::ivory | ( |  | ) |
| inlinestatic

## ◆ khaki()

static Colorf clan::StandardColorf::khaki | ( |  | ) |
| inlinestatic

## ◆ lavender()

static Colorf clan::StandardColorf::lavender | ( |  | ) |
| inlinestatic

## ◆ lavenderblush()

static Colorf clan::StandardColorf::lavenderblush | ( |  | ) |
| inlinestatic

## ◆ lawngreen()

static Colorf clan::StandardColorf::lawngreen | ( |  | ) |
| inlinestatic

## ◆ lemonchiffon()

static Colorf clan::StandardColorf::lemonchiffon | ( |  | ) |
| inlinestatic

## ◆ lightblue()

static Colorf clan::StandardColorf::lightblue | ( |  | ) |
| inlinestatic

## ◆ lightcoral()

static Colorf clan::StandardColorf::lightcoral | ( |  | ) |
| inlinestatic

## ◆ lightcyan()

static Colorf clan::StandardColorf::lightcyan | ( |  | ) |
| inlinestatic

## ◆ lightgoldenrodyellow()

static Colorf clan::StandardColorf::lightgoldenrodyellow | ( |  | ) |
| inlinestatic

## ◆ lightgray()

static Colorf clan::StandardColorf::lightgray | ( |  | ) |
| inlinestatic

## ◆ lightgreen()

static Colorf clan::StandardColorf::lightgreen | ( |  | ) |
| inlinestatic

## ◆ lightgrey()

static Colorf clan::StandardColorf::lightgrey | ( |  | ) |
| inlinestatic

## ◆ lightpink()

static Colorf clan::StandardColorf::lightpink | ( |  | ) |
| inlinestatic

## ◆ lightsalmon()

static Colorf clan::StandardColorf::lightsalmon | ( |  | ) |
| inlinestatic

## ◆ lightseagreen()

static Colorf clan::StandardColorf::lightseagreen | ( |  | ) |
| inlinestatic

## ◆ lightskyblue()

static Colorf clan::StandardColorf::lightskyblue | ( |  | ) |
| inlinestatic

## ◆ lightslategray()

static Colorf clan::StandardColorf::lightslategray | ( |  | ) |
| inlinestatic

## ◆ lightslategrey()

static Colorf clan::StandardColorf::lightslategrey | ( |  | ) |
| inlinestatic

## ◆ lightsteelblue()

static Colorf clan::StandardColorf::lightsteelblue | ( |  | ) |
| inlinestatic

## ◆ lightyellow()

static Colorf clan::StandardColorf::lightyellow | ( |  | ) |
| inlinestatic

## ◆ lime()

static Colorf clan::StandardColorf::lime | ( |  | ) |
| inlinestatic

## ◆ limegreen()

static Colorf clan::StandardColorf::limegreen | ( |  | ) |
| inlinestatic

## ◆ linen()

static Colorf clan::StandardColorf::linen | ( |  | ) |
| inlinestatic

## ◆ magenta()

static Colorf clan::StandardColorf::magenta | ( |  | ) |
| inlinestatic

## ◆ maroon()

static Colorf clan::StandardColorf::maroon | ( |  | ) |
| inlinestatic

## ◆ mediumaquamarine()

static Colorf clan::StandardColorf::mediumaquamarine | ( |  | ) |
| inlinestatic

## ◆ mediumblue()

static Colorf clan::StandardColorf::mediumblue | ( |  | ) |
| inlinestatic

## ◆ mediumorchid()

static Colorf clan::StandardColorf::mediumorchid | ( |  | ) |
| inlinestatic

## ◆ mediumpurple()

static Colorf clan::StandardColorf::mediumpurple | ( |  | ) |
| inlinestatic

## ◆ mediumseagreen()

static Colorf clan::StandardColorf::mediumseagreen | ( |  | ) |
| inlinestatic

## ◆ mediumslateblue()

static Colorf clan::StandardColorf::mediumslateblue | ( |  | ) |
| inlinestatic

## ◆ mediumspringgreen()

static Colorf clan::StandardColorf::mediumspringgreen | ( |  | ) |
| inlinestatic

## ◆ mediumturquoise()

static Colorf clan::StandardColorf::mediumturquoise | ( |  | ) |
| inlinestatic

## ◆ mediumvioletred()

static Colorf clan::StandardColorf::mediumvioletred | ( |  | ) |
| inlinestatic

## ◆ midnightblue()

static Colorf clan::StandardColorf::midnightblue | ( |  | ) |
| inlinestatic

## ◆ mintcream()

static Colorf clan::StandardColorf::mintcream | ( |  | ) |
| inlinestatic

## ◆ mistyrose()

static Colorf clan::StandardColorf::mistyrose | ( |  | ) |
| inlinestatic

## ◆ moccasin()

static Colorf clan::StandardColorf::moccasin | ( |  | ) |
| inlinestatic

## ◆ navajowhite()

static Colorf clan::StandardColorf::navajowhite | ( |  | ) |
| inlinestatic

## ◆ navy()

static Colorf clan::StandardColorf::navy | ( |  | ) |
| inlinestatic

## ◆ oldlace()

static Colorf clan::StandardColorf::oldlace | ( |  | ) |
| inlinestatic

## ◆ olive()

static Colorf clan::StandardColorf::olive | ( |  | ) |
| inlinestatic

## ◆ olivedrab()

static Colorf clan::StandardColorf::olivedrab | ( |  | ) |
| inlinestatic

## ◆ orange()

static Colorf clan::StandardColorf::orange | ( |  | ) |
| inlinestatic

## ◆ orangered()

static Colorf clan::StandardColorf::orangered | ( |  | ) |
| inlinestatic

## ◆ orchid()

static Colorf clan::StandardColorf::orchid | ( |  | ) |
| inlinestatic

## ◆ palegoldenrod()

static Colorf clan::StandardColorf::palegoldenrod | ( |  | ) |
| inlinestatic

## ◆ palegreen()

static Colorf clan::StandardColorf::palegreen | ( |  | ) |
| inlinestatic

## ◆ paleturquoise()

static Colorf clan::StandardColorf::paleturquoise | ( |  | ) |
| inlinestatic

## ◆ palevioletred()

static Colorf clan::StandardColorf::palevioletred | ( |  | ) |
| inlinestatic

## ◆ papayawhip()

static Colorf clan::StandardColorf::papayawhip | ( |  | ) |
| inlinestatic

## ◆ parse()

static bool clan::StandardColorf::parse | ( | const std::string & | name,
|  | Colorf & | out_color )
| static

Find and returns the static color matching a string.

Parameters

  name | Name of color to match, eg. "blue".
  out_color | = Matching static color, or transparent (rgba(0,0,0,0)) if there was no match.

Returns
  false = No match found

## ◆ peachpuff()

static Colorf clan::StandardColorf::peachpuff | ( |  | ) |
| inlinestatic

## ◆ peru()

static Colorf clan::StandardColorf::peru | ( |  | ) |
| inlinestatic

## ◆ pink()

static Colorf clan::StandardColorf::pink | ( |  | ) |
| inlinestatic

## ◆ plum()

static Colorf clan::StandardColorf::plum | ( |  | ) |
| inlinestatic

## ◆ powderblue()

static Colorf clan::StandardColorf::powderblue | ( |  | ) |
| inlinestatic

## ◆ purple()

static Colorf clan::StandardColorf::purple | ( |  | ) |
| inlinestatic

## ◆ red()

static Colorf clan::StandardColorf::red | ( |  | ) |
| inlinestatic

## ◆ rosybrown()

static Colorf clan::StandardColorf::rosybrown | ( |  | ) |
| inlinestatic

## ◆ royalblue()

static Colorf clan::StandardColorf::royalblue | ( |  | ) |
| inlinestatic

## ◆ saddlebrown()

static Colorf clan::StandardColorf::saddlebrown | ( |  | ) |
| inlinestatic

## ◆ salmon()

static Colorf clan::StandardColorf::salmon | ( |  | ) |
| inlinestatic

## ◆ sandybrown()

static Colorf clan::StandardColorf::sandybrown | ( |  | ) |
| inlinestatic

## ◆ seagreen()

static Colorf clan::StandardColorf::seagreen | ( |  | ) |
| inlinestatic

## ◆ seashell()

static Colorf clan::StandardColorf::seashell | ( |  | ) |
| inlinestatic

## ◆ sienna()

static Colorf clan::StandardColorf::sienna | ( |  | ) |
| inlinestatic

## ◆ silver()

static Colorf clan::StandardColorf::silver | ( |  | ) |
| inlinestatic

## ◆ skyblue()

static Colorf clan::StandardColorf::skyblue | ( |  | ) |
| inlinestatic

## ◆ slateblue()

static Colorf clan::StandardColorf::slateblue | ( |  | ) |
| inlinestatic

## ◆ slategray()

static Colorf clan::StandardColorf::slategray | ( |  | ) |
| inlinestatic

## ◆ slategrey()

static Colorf clan::StandardColorf::slategrey | ( |  | ) |
| inlinestatic

## ◆ snow()

static Colorf clan::StandardColorf::snow | ( |  | ) |
| inlinestatic

## ◆ springgreen()

static Colorf clan::StandardColorf::springgreen | ( |  | ) |
| inlinestatic

## ◆ steelblue()

static Colorf clan::StandardColorf::steelblue | ( |  | ) |
| inlinestatic

## ◆ tan()

static Colorf clan::StandardColorf::tan | ( |  | ) |
| inlinestatic

## ◆ teal()

static Colorf clan::StandardColorf::teal | ( |  | ) |
| inlinestatic

## ◆ thistle()

static Colorf clan::StandardColorf::thistle | ( |  | ) |
| inlinestatic

## ◆ tomato()

static Colorf clan::StandardColorf::tomato | ( |  | ) |
| inlinestatic

## ◆ transparent()

static Colorf clan::StandardColorf::transparent | ( |  | ) |
| inlinestatic

## ◆ turquoise()

static Colorf clan::StandardColorf::turquoise | ( |  | ) |
| inlinestatic

## ◆ violet()

static Colorf clan::StandardColorf::violet | ( |  | ) |
| inlinestatic

## ◆ wheat()

static Colorf clan::StandardColorf::wheat | ( |  | ) |
| inlinestatic

## ◆ white()

static Colorf clan::StandardColorf::white | ( |  | ) |
| inlinestatic

## ◆ whitesmoke()

static Colorf clan::StandardColorf::whitesmoke | ( |  | ) |
| inlinestatic

## ◆ yellow()

static Colorf clan::StandardColorf::yellow | ( |  | ) |
| inlinestatic

## ◆ yellowgreen()

static Colorf clan::StandardColorf::yellowgreen | ( |  | ) |
| inlinestatic

The documentation for this class was generated from the following file:

- color.h